View Issue Details

IDProjectCategoryView StatusLast Update
0001067SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.1 
Target Version3.3.2Fixed in Version3.3.2 
Summary0001067: syncTriggers called multiple times when multiple batches have queued up for the client and at least one has config changes
DescriptionsyncTriggers called multiple times when multiple batches have queued up for the client and at least one has config changes
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a1ed7f91

2013-02-23 10:16:07

chenson

Details Diff
0001067: syncTriggers called multiple times when multiple batches have queued up for the client and at least one has config changes
0001068: Add new extension point ILoadSyncLifecycleListener which gets callbacks before and after a load sync

0001067
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/ExtensionPointManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ILoadSyncLifecycleListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2013-02-23 10:11 chenson New Issue
2013-02-23 10:11 chenson Status new => assigned
2013-02-23 10:11 chenson Assigned To => chenson
2013-02-23 10:14 chenson Status assigned => resolved
2013-02-23 10:14 chenson Fixed in Version => 3.3.2
2013-02-23 10:14 chenson Resolution open => fixed
2013-02-26 07:56 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6881
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a1ed7f91